.product-container {
    margin-left: auto;
    margin-right: auto;
    max-width: 90rem;
    margin-top: 10px;
    margin-bottom: 100px !important;
}

.img-info-container {
    display: flex;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
}

.img-container {
    border-radius: 5px;
    padding: 20px;
    width: 40%;
    min-height: 100%;
    margin: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.img-container a, .product-img {
    width: 100%;
    margin-top: auto;
    margin-bottom: auto;
    max-height: 500px;
    object-fit: contain;
    cursor: pointer;
}

.click-to-enlarge {
    color: black;
    text-align: center;
    width: 100%;
    text-decoration: none;
    font-size: small;
}

.select-pic-group-container {
    display: flex;
    flex-wrap: wrap;
    width: 95%;
    margin-top: auto;
    justify-content: flex-start;
    align-items: center;
}

.select-pic-container {
    height: 65px;
    width: 65px;
    margin: 5px;
    border-radius: 3px;
}

.select-pic:hover {
    border: 2px solid var(--acc-gray);
    cursor: pointer;
}

.select-pic {
    object-fit: contain;
    width: 100%;
    height: 100%;
    border: 1px solid var(--light-gray);
    border-radius: 3px;
}

.currently-selected {
    border: 3px solid var(--main-yellow) !important;
    cursor: auto !important;
}

.info-container {
    padding: 20px;
    border-radius: 5px;
    width: 60%;
    min-height: 100%;
    margin: 10px;
    display: flex;
    flex-direction: column;
}

.product-title {
    font-weight: bold;
}

.product-desc {
    font-size: large;
    margin-top: 10px;
}

#quoteBtn {
    width: 300px !important;
    font-size: x-large;
}

#quoteBtn .material-icons {
    margin-right: 10px;
    top: 3px;
}

.specs-container {
    width: 90%;
    margin-top: 20px;
    margin-bottom: 20px;
    margin-left: auto;
    margin-right: auto;
}

.inner-spec-container {
    display: block;
    column-count: 3;
    column-gap: 30px;
    column-width: auto;
    margin-top: 50px;
}

.spec-header {
    font-size: x-large;
}

.spec-div {
    margin-bottom: 20px;
    display: block;
    break-inside: avoid-column;
    -moz-break-inside: avoid-column;
}

h2 {
    font-size: 2.5em !important;
}

@media (max-width: 991px) {
    .product-container {
        margin-top: 0;
        margin-bottom: 30px !important;
    }

    .img-info-container {
        flex-direction: column;
        width: 100%;
    }

    .img-info-container > div {
        width: 100%;
        margin: 0;
        margin-bottom: 10px;
    }

    .img-container {
        display: none;
    }

    .img-container a, .img-container img {
        min-height: 250px;
        max-height: 400px;
    }

    .select-pic-group-container {
        width: 100%;
        justify-content: center;
    }

    #quoteBtn {
        width: 90% !important;
        max-width: 300px;
        font-size: larger;
        margin-left: auto;
        margin-right: auto;
    }

    #quoteBtn span {
        font-size: larger;
    }

    .inner-spec-container {
        margin-top: 20px;
        column-count: 1;
    }

    .inner-spec-container h2 {
        text-align: center;
    }
}